Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.valueobject
Class ImporterStatusDto

    java.lang.Object
      com.gisgraphy.domain.valueobject.ImporterStatusDto

    public class ImporterStatusDto

extends Object

Represents a status of an IgeonamesProcessor

Author:
  David Masclet
See Also:
  `ImporterStatus`

Field Summary
`static String` | `CSV_FIELD_SEPARATOR` The csv field separator (we have chosen a very improbable one)
`static String` | `CSV_LINE_SEPARATOR` The csv line separator
`static String` | `DEFAULT_CURRENT_FILE` the default value of the currentFile if it is null

Constructor Summary
`ImporterStatusDto(IImporterProcessor processor)`
`ImporterStatusDto(String csv)` Construct a ImporterStatusDto from a csv line
`ImporterStatusDto(String processorName, String currentFileName, long currentLine, long numberOfLineToProcess, long numberOfLineProcessed, String statusMessage, ImporterStatus status)`

Method Summary
`String` | `getCurrentFileName()`
`long` | `getCurrentLine()`
`long` | `getNumberOfLinelefts()`
`long` | `getNumberOfLineProcessed()`
`long` | `getNumberOfLineToProcess()`
`int` | `getPercent()`
`String` | `getProcessorName()`
`ImporterStatus` | `getStatus()`
`String` | `getStatusMessage()`
`String` | `toCSV()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CSV_LINE_SEPARATOR

    public static final String CSV_LINE_SEPARATOR

  The csv line separator

  See Also:
    `toCSV()`, Constant Field Values

### CSV_FIELD_SEPARATOR

    public static final String CSV_FIELD_SEPARATOR

  The csv field separator (we have chosen a very improbable one)

  See Also:
    `toCSV()`, Constant Field Values

### DEFAULT_CURRENT_FILE

    public static final String DEFAULT_CURRENT_FILE

  the default value of the currentFile if it is null

  See Also:
    Constant Field Values

Constructor Detail

### ImporterStatusDto

    public ImporterStatusDto(String processorName,
                             String currentFileName,
                             long currentLine,
                             long numberOfLineToProcess,
                             long numberOfLineProcessed,
                             String statusMessage,
                             ImporterStatus status)

Parameters:
  `processorName` - The name of the processor (typically the className)
  `currentFileName` - wich file is currently processed
  `currentLine` - which line of the currentFileName is processed
  `numberOfLineToProcess` - the total of line to be process by the importer
  `numberOfLineProcessed` - The total of line already process by this importer
  `statusMessage` - a message
  `status` -

### ImporterStatusDto

    public ImporterStatusDto(IImporterProcessor processor)

### ImporterStatusDto

    public ImporterStatusDto(String csv)

  Construct a ImporterStatusDto from a csv line

  Parameters:
    `csv` - the String that represent the ImporterStatusDto

Method Detail

### getProcessorName

    public String getProcessorName()

  Returns:
    the processorName

### getCurrentFileName

    public String getCurrentFileName()

  Returns:
    the currentFile

### getCurrentLine

    public long getCurrentLine()

  Returns:
    the currentLine

### getNumberOfLineToProcess

    public long getNumberOfLineToProcess()

  Returns:
    the numberOfLineToProcess

### getNumberOfLineProcessed

    public long getNumberOfLineProcessed()

  Returns:
    the numberOfLineProcessed

### getPercent

    public int getPercent()

  Returns:
    the percent

### getStatus

    public ImporterStatus getStatus()

  Returns:
    the status

### getNumberOfLinelefts

    public long getNumberOfLinelefts()

  Returns:
    the numberOfLinelefts

### getStatusMessage

    public String getStatusMessage()

  Returns:
    the errorMessage

### toCSV

    public String toCSV()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.